#ifndef _FSOUT_CLASS
#define _FSOUT_CLASS

#include <stdio.h>

class FSout
{
 public:

  FSout(char *filename);
  ~FSout();

  int isOpen();

  void printset(int length, int *iset); //print the set of items by original names, from their orders
  void printSet(int length, int *iset, int support); //print the set of items by original names and print the support
  void printSet(int length, int *iset, int support, int posCount); //print the set of items by original names and print the support
  void printString(char *str);
  
  void printDigit(int dig);
  void printTime(char *str,double time);
  
  void printOrderSet(int length, int *iset, int support);
  void printOrderItem();
  void printTid(int* tidSet, int tidLength);
	
  void printItem(int item);
  void close();

 private:

  FILE *out;
};

#endif

