#include <stdlib.h>
//#include "node.h"
#include "tree.h"
#include "common.h"


//////////////////////////////////////////////////////////////////////
// Functions of K_node Class
//////////////////////////////////////////////////////////////////////

K_node::K_node(K_node* parent, int itemname)
{
	par = parent;
	itemName = itemname;
	leftchild = NULL;
	rightsibling =NULL;
	next = NULL;
}

void K_node::init(K_node* parent, int itemname)
{
	par = parent;
	itemName = itemname;
	leftchild = NULL;
	rightsibling =NULL;
	next = NULL;
}

K_node::~K_node()
{
	K_node* temp, *temp1;;
	if(this->leftchild!=NULL)
	{
		temp=this->leftchild;
		temp1=temp->rightsibling;
		while(temp1!=NULL)
		{
			temp=temp1->rightsibling;;
			delete temp1;
			temp1=temp;
		}
		delete this->leftchild;
	}
}

K_node* K_node::append(K_tree *ktree, K_node *sib, int itemno)
{
	K_node* child;

	child = (K_node*)fp_buf1->newbuf(1, sizeof(K_node));
	child->init(this, itemno);
	
	if(this->leftchild==NULL)this->leftchild=child;
	else
		sib->rightsibling = child;
	
	return child;
}

//////////////////////////////////////////////////////////////////////
// Functions of Tnode Class
//////////////////////////////////////////////////////////////////////

Tnode::Tnode(Tnode* parent, int tidname, int index)
{
	par = parent;
	tidName = tidname;
	ECindex = index;

	leftchild = NULL;
	rightsibling =NULL;
	next = NULL;
}

void Tnode::init(Tnode* parent, int tidname, int index)
{
	par = parent;
	tidName = tidname;
	ECindex = index;

	leftchild = NULL;
	rightsibling =NULL;
	next = NULL;
}

Tnode::~Tnode()
{
	Tnode* temp, *temp1;;
	if(this->leftchild!=NULL)
	{
		temp=this->leftchild;
		temp1=temp->rightsibling;
		while(temp1!=NULL)
		{
			temp=temp1->rightsibling;;
			delete temp1;
			temp1=temp;
		}
		delete this->leftchild;
	}
}

Tnode* Tnode::append(T_tree* ttree, Tnode* sib, int tidname, int index)
{
	Tnode* child;

	child = (Tnode*)fp_buf1->newbuf(1, sizeof(Tnode));
	child->init(this, tidname, index);
	
	if(this->leftchild==NULL)this->leftchild=child;
	else
		sib->rightsibling = child;

	child->next = ttree->header[tidname];
	ttree->header[tidname] = child;

	return child;
}