#ifndef _NODE_CLASS
#define _NODE_CLASS
#endif

class K_tree;
class T_tree;

class K_node{
public:
	int itemName;

	K_node* par; //parent
	K_node* leftchild;
	K_node* rightsibling;
	K_node* next;  //node link, link up all the leaves

public:
	K_node(K_node* parent, int itemname); //construct and initialize a node
	~K_node();

	void init(K_node* parent, int itemname); //initialize a node
    K_node* append(K_tree* ktree, K_node* sib, int itemno);  //append a node as the child, return the new child
};

class Tnode{
public:
	int tidName;

	Tnode* par; //parent
	Tnode* leftchild;
	Tnode* rightsibling;
	Tnode* next;  //node link, link up all the leaves
	int ECindex;

public:
	Tnode(Tnode* parent, int tidname, int index=-255); //construct and initialize a node
	~Tnode();

	void init(Tnode* parent, int tidname, int index=-255); //initialize a node
    Tnode* append(T_tree* ttree, Tnode* sib, int tidname, int index=-255);  //append a node as the child, return the new child
};
