#include "node.h"
#include "data.h"
#include "fsout.h"

class FK_tree;

class K_tree{
public:
	K_node* Root;
	K_node* header; //header of e link list

public:
	void init();
	~K_tree();

	K_node* insertKey(int* keySet, int len); //insert key patterns into tree;
	int mergeTree(K_tree *new_tree, int maxlen);
	int outputKeys(FSout *fsout, int maxlen);
};

class T_tree{
public:
	Tnode* Root;
	Tnode** header;

protected:
	Tnode* insertTidSet(int* tidSet, int tidLen, int ECindex);
	//int mergeECs(int index1, int index2);
	int printTree(FSout *fsout, Tnode* current);

public:
	void init();
	~T_tree();

	//void scan_DB(Data *fdat);
	int scan_FP(FK_tree* fptree);
	int removeTrans(int *tidSet, int tidLen);
	int outputTidSet(int *&tidSet, Tnode* tidNode, int old_support);
	int outputTree(FSout *fsout);
};