#ifndef BUFFERCLASS
#define BUFFERCLASS
#define L2BITS	        0x3   // L2BITS: the two least sig. bits

#define MULTOF		8		// MULTOF: addresses should start at numbers which are divisible by MULTOF 

class memory{   
private:
	int BUFPOS;				//default: 40   number of tries to fetch memory from the OS
	long BUFS_BIG;			//default: 6291456 buffer size
	long BUFS_SMALL;		//default: 2097152 buffer size 
	int BUFSBSWITCH; 		//default:2 switch from small to big */
//	char *buffer[BUFPOS];
	char **buffer;
	int bufcount;               /* marks current buffer position */
//	char *start[BUFPOS];        /* pt to the next free position */
	char **start;        /* pt to the next free position */
//	unsigned int rest[BUFPOS];        /* number of free positions */
	unsigned int *rest;        /* number of free positions */
//	unsigned int restsize[BUFPOS];    /* max. size of buffer */
	unsigned int *restsize;    /* max. size of buffer */
	char *markbuf;              /* mark for freebuf */
	int markcount;
	unsigned int markrest;
private:
	int switchbuf(unsigned int i);
	void init();
public:
	memory();
	memory(int bufpos, long bufs_small, long bufs_big, int bufsbswitch);
	~memory();		
	void freebuf(unsigned int MR, int MC, char* MB);   //clear the buffer above the mark 
	char * newbuf(unsigned int num,unsigned int size);
//	void bufmark();
	char* bufmark(unsigned int*, int*);
	void buffree();
	bool half(){return BUFPOS/(BUFPOS-bufcount) > 2;}
};
#endif

