#ifndef _NODE_CLASS
#define _NODE_CLASS
#endif

class K_tree;
class T_tree;

class Knode{
public:
	int itemName;

	Knode* par; //parent
	Knode* leftchild;
	Knode* rightsibling;
	Knode* next;  //node link, link up all the leaves

public:
	Knode(Knode* parent, int itemname); //construct and initialize a node
	~Knode();

	void init(Knode* parent, int itemname); //initialize a node
    Knode* append(K_tree* ktree, Knode* sib, int itemno);  //append a node as the child, return the new child
};

class Tnode{
public:
	int tidName;

	Tnode* par; //parent
	Tnode* leftchild;
	Tnode* rightsibling;
	Tnode* pre;
	Tnode* next;  //node link, link up all the leaves
	int ECindex;
	int depth;

public:
	Tnode(Tnode* parent, int tidname, int index=-255, int dep=0); //construct and initialize a node
	~Tnode();

	void init(Tnode* parent, int tidname, int index=-255, int dep=0); //initialize a node
    Tnode* append(T_tree* ttree, Tnode* sib, int tidname, int index=-255);  //append a node as the child, return the new child
	Tnode* appendPath(T_tree* ttree, Tnode* start); //append a sub-tree to a node
};
